FactoryBot.define do

  sequence :generic_email do |n|
    "generic_email_#{n.to_s.rjust(3, '0')}@example.com"
  end

  sequence :generic_username do |n|
    "user_#{n}"
  end

  factory :user do
    username { generate(:generic_username) }
    email { generate(:generic_email) }
    full_name { "MyString" }
    password_digest { "MyString" }
    admin { false }
  end

end
